#!/usr/bin/env python3

from pypol import *

x, y = symbols('x y')

sq1 = Le(0, x) & Le(x, 2) & Le(0, y) & Le(y, 2)
sq2 = Le(2, x) & Le(x, 4) & Le(2, y) & Le(y, 4)

print('sq1 =', sq1)
print('sq2 =', sq2)
print()
print('¬sq1 =', ~sq1)
print()
print('sq1 - sq2 =', sq1 - sq2)
print('sq1 - sq2 =', Polyhedron(sq1 - sq2))
print()
print('sq1 ∩ sq2 =', sq1 & sq2)
print('sq1 ∪ sq2 =', sq1 | sq2)
print()
print('sq1 ⊔ sq2 =', Polyhedron(sq1 | sq2))
